iPod Touch 1st Gen Update - Please Help

Discussion in 'iPod touch' started by Rooadripper, Jul 26, 2010.

  1. Rooadripper

    Rooadripper New Member

    Joined:
    Jul 26, 2010
    Messages:
    1
    Likes Received:
    0
    I have an iPod Touch 1st gen which is currently at the 2.2.1 firmware. I cannot seem to be able to update to i OS4 or even 3.0! Can anyone show me how to do it?
  2. b777forever

    b777forever Well-Known Member

    Joined:
    Feb 15, 2010
    Messages:
    5,099
    Likes Received:
    344
    Device:
    iPhone
    1st gen devices can't support 4.0, and I think Apple won't allow you to update to 3.0 anymore....I could be wrong.
  3. ripply

    ripply Active Member

    Joined:
    Jul 31, 2009
    Messages:
    1,159
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    Update to a later version of itunes place it in DFU and restore it to 3.1.3. Apple doesn't support 4.0 on the first gen devices
  4. spendleb

    spendleb New Member

    Joined:
    Jul 11, 2008
    Messages:
    28
    Likes Received:
    0
    Device:
    iPod touch
    Tell em about it, sick of now getting updates for my apps for IOS4 and then it telling me they now can't be updated on my IPOD due to IOS4 not being supported. Wish they would do a trade in offer so I can upgrade to the 4G when it arrives!

Share This Page